Skydio compatibility

To install and use the Skydio app, your mobile device must meet the following minimum requirements:

Android

  • Check Google Play for compatibility with your specific device.
  • Device must be running Android 5.0 (or higher)
  • Minimum space on device: ~200mb

iOS

  • Check the App Store for compatibility with your specific device.
  • Device must be running 64-bit iOS10 (or higher)
  • iPhone 5S (or higher), iPad Air (or higher), iPad Mini 2 (or higher), or iPod Touch 6th gen
  • Minimum space on device: ~200mb

Check out our related articles for more information, and don't hesitate to contact us if you need additional help.